List supported SCIM resource types
GET /scim/v2/{endpointKey}/ResourceTypes
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes |
Errors: 401, 404, 429 — see errors.
API reference descriptions are provided in English to preserve the exact published contract.
GET /scim/v2/{endpointKey}/ResourceTypes
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes |
Errors: 401, 404, 429 — see errors.
GET /scim/v2/{endpointKey}/ResourceTypes/{resourceTypeId}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes | |
resourceTypeId | path · "User" | "Group" | yes |
Errors: 401, 404, 429 — see errors.
GET /scim/v2/{endpointKey}/Schemas
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes |
Errors: 401, 404, 429 — see errors.
GET /scim/v2/{endpointKey}/Schemas/{schemaId}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes | |
schemaId | path · string (max 256 chars) | yes |
Errors: 401, 404, 429 — see errors.
GET /scim/v2/{endpointKey}/ServiceProviderConfig
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes |
Errors: 401, 404, 429 — see errors.
GET /scim/v2/{endpointKey}/{resourceType}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
startIndex | query · integer (1–1000000) | ||
count | query · integer (0–100) | ||
cursor | query · string (max 2048 chars) | ||
filter | query · string (max 2048 chars) | ||
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes | |
resourceType | path · "Users" | "Groups" | yes |
Errors: 400, 401, 429 — see errors.
POST /scim/v2/{endpointKey}/{resourceType}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes | |
resourceType | path · "Users" | "Groups" | yes |
Errors: 400, 401, 404, 409, 412, 428, 429 — see errors.
GET /scim/v2/{endpointKey}/{resourceType}/{id}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes | |
resourceType | path · "Users" | "Groups" | yes | |
id | path · string (uuid) | yes |
Errors: 401, 404, 429 — see errors.
PUT /scim/v2/{endpointKey}/{resourceType}/{id}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes | |
resourceType | path · "Users" | "Groups" | yes | |
id | path · string (uuid) | yes |
Errors: 400, 401, 404, 409, 412, 428, 429 — see errors.
PATCH /scim/v2/{endpointKey}/{resourceType}/{id}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes | |
resourceType | path · "Users" | "Groups" | yes | |
id | path · string (uuid) | yes |
Errors: 400, 401, 404, 409, 412, 428, 429 — see errors.
DELETE /scim/v2/{endpointKey}/{resourceType}/{id}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointKey | path · string (pattern ^[0-9a-f]{48}$) | yes | |
resourceType | path · "Users" | "Groups" | yes | |
id | path · string (uuid) | yes |
Errors: 400, 401, 404, 409, 412, 428, 429 — see errors.